Bug 51576 - mod_rewrite rule stopped working
Summary: mod_rewrite rule stopped working
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_rewrite (show other bugs)
Version: 2.2.17
Hardware: Other Linux
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2011-07-28 17:12 UTC by monte
Modified: 2018-11-07 21:09 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description monte 2011-07-28 17:12:55 UTC
I recently updated Apache 2.2.6 > 2.2.17 (latest ubuntu server apt-get release), and a rewrite rule stopped working.

Virtual host config:

RewriteRule ^/(images|javascripts|css|ssp|media)/(.*\.)v[0-9.]+\.(css|js|gif|png|jpg|swf)$ /$1/$2$3 [L]


URL accessed:

http://media.mysite.com/media/crotw/2011/2011-07-28_crotw_car.v6.30.jpg


The rewrite log shows the (correct) information:


0.0.0.0 - - [28/Jul/2011:11:54:35 --0500] [media.mysite.com/sid#7fccf376d8c8][rid#7fccf422ece0/initial] (3) applying pattern '^/(images|javascripts|css|ssp|media)/(.*\.)v[0-9.]+\.(css|js|gif|png|jpg|swf)$' to uri '/media/crotw/2011/2011-07-28_crotw_car.v6.30.jpg'
0.0.0.0 - - [28/Jul/2011:11:54:35 --0500] [media.mysite.com/sid#7fccf376d8c8][rid#7fccf422ece0/initial] (2) rewrite '/media/crotw/2011/2011-07-28_crotw_car.v6.30.jpg' -> '/media/crotw/2011/2011-07-28_crotw_car.jpg'
0.0.0.0 - - [28/Jul/2011:11:54:35 --0500] [media.mysite.com/sid#7fccf376d8c8][rid#7fccf422ece0/initial] (2) local path result: /media/crotw/2011/2011-07-28_crotw_car.jpg
0.0.0.0 - - [28/Jul/2011:11:54:35 --0500] [media.mysite.com/sid#7fccf376d8c8][rid#7fccf422ece0/initial] (1) go-ahead with /media/crotw/2011/2011-07-28_crotw_car.jpg [OK]


However, I get a 404 error, and the error log shows:

[Thu Jul 28 12:07:57 2011] [error] [client 0.0.0.0] File does not exist: /var/www/httpd/www.mysite.com/docs/media/crotw


Notice everything missing past the crotw part.

File permissions are OK, and I can copy/paste the go-ahead address in the browser address bar and the image shows just fine. So, it appears that the internal rewrite is not working in Apache any more, as it did in 2.2.6.
Comment 1 Eric Covener 2011-09-17 17:29:54 UTC
This implies "crotw" is the first directory found to be missing under the docroot. Maybe you used to have a /media in the filesystem and it was served a different way?  Rewrite will interpret it differntly whether the first path component really exists in filesystem (or treated as URL with docroot prepended)
Comment 2 William A. Rowe Jr. 2018-11-07 21:09:18 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.